package com.izouma.awesomeadmin.service;

import java.util.List;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.GenCode;

/**
 * gen_code_model service接口类
 * Fri May 04 15:57:06 CST 2018  Suo Chen Cheng
 */ 
public interface GenCodeService {

	List <GenCode> getGenCodeList(GenCode record);

	List <GenCode> getGenCodeByPage(Page page, GenCode record);

	GenCode getGenCodeById(String id);

	GenCode getGenCode(GenCode record);

	boolean createGenCode(GenCode record);

	boolean deleteGenCode(String id);

	boolean updateGenCode(GenCode record);

}

